import 'package:json_annotation/json_annotation.dart';

part 'diagram_token.g.dart';

@JsonSerializable()
class ProcessToken {
  @JsonKey(name: "Id")
  String id;

  @JsonKey(name: "IsCurrentToken")
  bool isCurrentToken;

  @JsonKey(name: "IsLink")
  bool isLink;

  ProcessToken();

  factory ProcessToken.fromJson(Map<String, dynamic> json) =>
      _$ProcessTokenFromJson(json);
  Map<String, dynamic> toJson() => _$ProcessTokenToJson(this);

  @override
  bool operator ==(Object other) =>
      identical(this, other) ||
      other is ProcessToken &&
          runtimeType == other.runtimeType &&
          id == other.id &&
          isCurrentToken == other.isCurrentToken &&
          isLink == other.isLink;

  @override
  int get hashCode => id.hashCode;
}
