import 'dart:typed_data';

class TileGroup {
  final String name;
  final List<Tile> tiles = [];
  TileGroup({this.name});
}

class Tile {
  final String name;
  final String caption;
  final String description;
  final int idMasterProcess;
  final TileGroup group;
  final int itemSize;
  final Uint8List imageBase64;

  Tile({
    this.group,
    this.name,
    this.caption,
    this.description,
    this.idMasterProcess,
    this.itemSize,
    this.imageBase64,
  });
}
