import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:retgoo_sdk/models/directform.dart';
import 'package:retgoo_sdk/providers/process_provider.dart';

class ProcessInformationPage extends StatelessWidget {
  ProcessInformationPage({Key key}) : super(key: key);

  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Process Information"),
      ),
      body: Selector<ProcessProvider, DirectForm>(
        selector: (context, provider) => provider.directForm,
        builder: (context, directForm, child) {
          return Column(
            children: [
              Text(directForm.masterProcessName),
            ],
          );
        },
      ),
    );
  }
}
