import 'dart:convert';

import 'package:crypto/crypto.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  test('hash test', () {
    final id = "311/sid-51e93e21-4de1-4c28-af06-351d633527ca";
    final result =
        "1D3454AFDDF9D45C97350F6400849F11E61F1D0AE1FAC4F4943BA7E76F1F5E6C";

    final sha = sha256.newInstance();
    final digest = sha.convert(utf8.encode(id));
    final hex = digest.toString().toUpperCase();

    final res = hex == result;
    expect(res, true);
  });
}
